<?
define('PROTECTOR', 1);

$headmod = 'clanroom';//фикс. места

$textl='Комната клана';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if(empty($udata[clan])){echo"Вы не в клане!"; include($path.'files/down.php'); exit;}

$req = mysql_query("SELECT * FROM `clan` where `lider`='$udata[clan]'");
$avto=mysql_num_rows($req);
if($avto==1){
$clan = mysql_fetch_array($req);
}else{
echo"Отсутствие такого клана! Обратитесь к администрации игры за помощью!";include($path.'files/down.php'); exit;
}

switch($_GET[go]) {

default:
$ref=rand(1000,9999);

//Уровень. Потом сделать в базу
if($clan[exp] >= 0 and $clan[exp] < 750000){ $lvl = 0; }
elseif($clan[exp] >= 750000 and $clan[exp] < 1750000){ $lvl = 1; }
elseif($clan[exp] >= 1750000 and $clan[exp] < 5000000){ $lvl = 2; }
elseif($clan[exp] >= 5000000){ $lvl = 3; }
//Уровень








//Запись уровня в клан
if($clan[lvl] < $lvl){ mysql_query("UPDATE `clan` SET `lvl` = '$lvl' WHERE `lider`='$udata[clan]'"); }

//Запись уровня в клан

echo'<div class="m_bg"> <b>Клан</b> '.$clan[name].' [<b>'.$lvl.' ур.</b>]</div>';
echo'<div class="m_bg">';
if(!empty($clan[desk])){

echo"<b>Описание:</b><font color=green1> $clan[desk]</font><br/>";}
echo"<b>Опыт:</b> $clan[exp]<br/>";

//До следующего уровня
if($lvl == 0){ $nlvl = 750000-$clan[exp]; }
elseif($lvl == 1){ $nlvl = 1750000-$clan[exp]; }
elseif($lvl == 2){ $nlvl = 5000000-$clan[exp]; }
//До следующего уровня

echo"<b>До след.уровня:</b> $nlvl<br/>";

$req5 = mysql_query("SELECT * FROM `zamok` WHERE clan='$udata[clan]'");
$avto5=mysql_num_rows($req5);
if($avto5>=1){
While($c = mysql_fetch_array($req5))
{

echo"<b>Замок:</b> <font color=lime>$c[name]</font> под управлением клана <font color=lime>$clan[name]</font>";  echo"<br><b>Защита в замке:</b> $c[vorota]<br/>";
echo"<a href=\"clanroom.php?go=statuya\">Получить ауру статуи</a> (+ 10 ко всем параметрам на 60 минут)<br/>";
}
}
if($udata[clan]=="$log"){
if($clan[set_sklad]==0){
echo"<b>Закрыть:</b> <a href=\"clanroom.php?go=notsklad\">склад</a><br/>";
}else{

echo"<b>Открыть: </b><a href=\"clanroom.php?go=notsklad\">склад</a><br/>";
}}

echo"<b>Положить на склад:</b> <a href=\"clanroom.php?go=sklad\">вещи</a><br/>";
echo"<b> Забрать со склада: </b><a href=\"clanroom.php?go=notersklad\">вещи</a><br/>";

if(!empty($clan[site])){

echo"<b>Сайт клана:</b> <a href=\"$clan[site]\">просмотр</a><br/>";}

$req6 = mysql_query("SELECT `id` FROM `forum_msg_clan` WHERE clan='$udata[clan]'");
$kolfor=mysql_num_rows($req6);
echo"<b>Капитал клана:</b> <img src=pic/main/gold1.png>$clan[money]<br/>
<b><a href=\"clanroom.php?go=bankadd\">Положить денег</a><br/>
<a href=\"clanroom.php?go=my\">Взять денег</a><br/>
<a href=\"clanroom.php?go=chat\">Чат</a> | <a href=\"clanroom.php?go=rass\">Рассылка</a> | <a href=\"clanroom.php?go=fast\">Быстр.рассылка</a><br/></b>
<a href=\"forum_clan\">Форум клана</a> [".$kolfor."]<br/>
<b>Логи:</b> <a href=\"clanroom.php?go=logs\">казна</a> | <a href=\"clanroom.php?go=logskdad\">склад</a><br/>";
if($log != $udata['clan']){
echo"<a href=\"clanroom.php?go=exit\">Покинуть клан</a><br/>";}
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]'");
////////////////////////////
$cl = mysql_fetch_array($req);

$req5 = mysql_query("SELECT * FROM `users` WHERE `usr` = '$cl[lider]'");
$cl5 = mysql_fetch_array($req5);
echo"<div class='m_bg'>Состав клана:</div> <div class='m_bg'>";
echo "1. <b><a href=\"search.php?nick=$cl[lider]&amp;go=go\">$cl[lider]</a> [Лидер, $cl5[cexp] оп. ] </b><br/>";


$req = mysql_query("SELECT * FROM `users` where `clan`='$udata[clan]' and `usr`!='$udata[clan]' ORDER BY lvl DESC");
////////////////////////////

$avto=mysql_num_rows($req)+1;
$i=2;
if($avto>=1){
While($clan = mysql_fetch_array($req))
{
$laikas = 150;
$dabar = time();
$timeout = $dabar - $laikas;
$asd = mysql_num_rows(mysql_query("SELECT laikas, usr FROM online WHERE laikas > '$timeout' AND usr='$clan[usr]'"));
if($asd==0){
echo"$i. <a href=\"search.php?nick=$clan[usr]&amp;go=go\">$clan[usr]</a>   <font color=\"red\">[$clan[lvl] ур., $clan[cexp] оп. ]<br/></font>";}else{
echo" $i. <a href=\"search.php?nick=$clan[usr]&amp;go=go\">$clan[usr]</a>  <font color=\"lime\"> [$clan[lvl] ур., $clan[cexp] оп. ]<br/></font>";}
$i++;
}
echo"<br/><b>Всего соклановцев: $avto</b></div>";
}else{
echo"<b>Нет соклановцев</b><br/>";
}
echo'</div>';

///////////////////////////


break;

//Лог склада

case 'logskdad':
echo'<b>Лог кланового склада:</b><br/><br/>';

if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 5;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*5)+1;}
$viso = mysql_num_rows(mysql_query("SELECT clan FROM  clanlog"));
$puslap = floor($viso/5);
$times = date("H:i");


$req = mysql_query("SELECT * FROM `clanlogsklad` where `clan`='$udata[clan]' ORDER BY id DESC LIMIT $num,5");
$avto=mysql_num_rows($req);

if($avto==0){echo"<br/>Лог пуст";

}else{
while($chat = mysql_fetch_array($req))
{
echo" $chat[msg] $chat[time]<br/>";
}
}
echo'<br>';
if ($_GET[page] > 0)
{
echo "<a href=\"clanroom.php?go=logskdad&page=$back\">< Назад</a>";
}
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"clanroom.php?go=logskdad&page=$next\"> Далее ></a>";}

break;



//Лог склада

//Складское помещение

case 'notsklad':
if($udata[clan]!==$log){ echo"Ломать собрался?!";
include($path.'files/down.php');
exit;}
if($clan[set_sklad]==0){
$on=1;
}else{
$on=0;
}
mysql_query("UPDATE `clan` SET `set_sklad` = '$on' WHERE `lider` = '$udata[clan]'");
echo"Изменения сохранены!<br/>";
echo"<a href=\"clanroom.php?\">Продолжить</a>";

break;

case 'notersklad':
if($clan[set_sklad]==1 and $udata[clan]!=$log){echo"Лидер запретил доступ к складу.";
include($path.'files/down.php');
exit;
}
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT usr FROM  sklad_klana"));
$puslap = floor($viso/10);
$times = date("H:i");


$req = mysql_query("SELECT * FROM `sklad_klana` WHERE `usr` = '$udata[clan]' ORDER BY id DESC LIMIT $num,10");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$w=explode("*",$mag[name]);
echo" <a href=\"clanroom.php?go=notersklad&id=$mag[id]\">$mag[name]</a><a href=\"clanroom.php?go=info_predmet&id=$mag[id]\"><img src='pic/inf.png'></a><br/>";
}
echo'</br>';

if ($_GET[page] > 0)
{
echo "<a href=\"clanroom.php?go=notersklad&page=$back\">< Назад</a>";
}


if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"clanroom.php?go=notersklad&page=$next\"> Далее ></a>";}



}else{
echo"<b>Нет вещей на складе</b><br/>";
if ($_GET[page] > 0)
{
echo "<a href=\"clanroom.php?go=back&page=$back\">< Назад</a>";
}



}
}else{
$req = mysql_query("SELECT * FROM `sklad_klana` WHERE `usr` = '$udata[clan]' and `id`='".mysql_real_escape_string($_GET['id'])."'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `item` SET
        `usr` = '$log',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `um` = '$item[um]',
        `prot` = '$item[prot]',
        `klas` = '$item[klas]',
        `nsila` = '$item[nsila]',
        `nlovk` = '$item[nlovk]',
        `num` = '$item[num]',
        `nlvl` = '$item[nlvl]',
        `image` = 'not' ");

        mysql_query("DELETE FROM `sklad_klana` WHERE `id`='".$_GET['id']."'");
$time = date("H:i d.m.y");
                mysql_query("INSERT INTO clanlogsklad SET clan='$udata[clan]',msg='$log забрал со склада $item[name] |', time = '$time' ");
echo"Вещь $item[name] забрана со склада!<br/>";

}else{
echo"<b>Нет такой вещи</b><br/>";
}
}
echo "<br><a href=\"clanroom.php?\"> Вернуться</a><br>";




break;
case 'info_predmet' :
$req = mysql_query("SELECT * FROM `sklad_klana` WHERE `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
echo"<b>$mag[name]</b><br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>

Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Интелект: $mag[um]<br/>
Физ. защита: $mag[prot]<br/>

Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Класс: $klas<br/>
Сила: $mag[nsila]<br/>
Ловкость: $mag[nlovk]<br/>
Интелект: $mag[num]<br/>
Уровень: $mag[nlvl]<br/>
";
echo"<a href=\"clanroom.php?go=notersklad\">Назад</a>";
break;

case 'sklad':
if($clan[set_sklad]==1 and $udata[clan]!=$log){echo"Лидер запретил доступ к складу.";
include($path.'files/down.php');
exit;
}
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT usr FROM  item"));
$puslap = floor($viso/5);
$times = date("H:i");


$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image`='not' ORDER BY id DESC LIMIT $num,10");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$w=explode("*",$mag[name]);
echo" <a href=\"clanroom.php?go=sklad&id=$mag[id]\">$mag[name]</a><br/>";
}
echo"<br/>";

if ($_GET[page] > 0)
{
echo "<a href=\"clanroom.php?go=sklad&page=$back\">< Назад</a>";
}

if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"clanroom.php?go=sklad&page=$next\"> Далее ></a>";}


}else{
echo"<b>Нет вещей</b><br/>";
if ($_GET[page] > 0)
{
echo "<a href=\"clanroom.php?go=sklad&page=$back\">< Назад</a>";
}
}
}else{
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image`='not' and `id`='".mysql_real_escape_string($_GET['id'])."'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `sklad_klana` SET
        `usr` = '$udata[clan]',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `um` = '$item[um]',
        `prot` = '$item[prot]',
        `klas` = '$item[klas]',
        `nsila` = '$item[nsila]',
        `nlovk` = '$item[nlovk]',
        `num` = '$item[num]',
        `bonus` = '$item[bonus]',
        `nlvl` = '$item[nlvl]'");

        mysql_query("DELETE FROM `item` WHERE usr='$log' and `image`='not' and `id`='".mysql_real_escape_string($_GET['id'])."'");
$time = date("H:i d.m.y");
        mysql_query("INSERT INTO clanlogsklad SET clan='$udata[clan]',msg='$log положил на склад $item[name] |', time = '$time' ");
echo"Вещь $item[name] положена на склад!<br/>";
echo "<br/><br><a href=\"clanroom.php?\"> Вернуться</a><br>";
}else{
echo"<b>Нет такой вещи</b><br/>";
}
}


break;

//Складское помещение


//Удаление

case 'dels':
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$log'");
////////////////////////////
$lider=mysql_num_rows($req);

if($lider==1){
if(isset($_GET['ask'])){
echo'Вы действительно хотите удалить клан?<br/>';
echo"<a href=\"clanroom.php?go=dels\"><b>ДА!</b></a><br/>";
echo"<a href=\"clanroom.php?\">Нет, назад</a><br/>";
}else{
$req = mysql_query("SELECT `usr` FROM `users` WHERE `clan` = '$log' LIMIT 1");
// //////////////////////////
$avto = mysql_num_rows($req);

if ($avto == 1) {
while($claner = mysql_fetch_array($req)){
mysql_query("UPDATE `users` SET `clan` = '', cexp ='', clan_prava=''  WHERE `clan` = '$udata[clan]'");
    mysql_query("UPDATE `users` SET `clan` = '', cexp ='', clan_prava=''  WHERE `usr` = '$claner[usr]'");
}
}
mysql_query("UPDATE `zamok` SET `clan` = '' WHERE `clan` = '$log'");
    mysql_query("DELETE FROM `clanchat` WHERE `clan` = '$log'");
    mysql_query("DELETE FROM `clanlogsklad` WHERE `clan` = '$log'");
    mysql_query("DELETE FROM `clanlog` WHERE `clan` = '$log'");
    mysql_query("DELETE FROM `clan` WHERE `lider` = '$log'");
    mysql_query("DELETE FROM `zam` WHERE `lider` = '$log'");
    mysql_query("DELETE FROM `war_clana` WHERE `clan` = '$log'");
mysql_query("DELETE FROM `invite` WHERE `clan` = '$log'");



echo'Ваш клан был удалён!<br/>';

}
}else{
echo'Доступ закрыт!';
}




break;

case 'peredat':
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$log'");
$lider=mysql_num_rows($req);

if($lider==1){
if($_POST[name] == NULL){

echo "<form action=\"clanroom.php?go=peredat\" method=\"post\">";
echo"Введите ник персонажа:<br/>";
echo"<input class='input' type=\"text\" size=\"10\" name=\"name\" maxlength=\"10\"/><br/>";
echo '<input class="button" type="submit" value="Сделать лидером" /></form>';
}else{

$name=htmlspecialchars($_POST[name]);
$req = mysql_query("SELECT `usr` FROM `users` WHERE `usr` = '$name' and `clan` = '$udata[clan]' LIMIT 1");
$avto = mysql_num_rows($req);


if ($avto >= 1 and $_POST[name] != NULL) {
$req3 = mysql_query("SELECT `usr` FROM `users` WHERE `clan` = '$log'");
$avto3 = mysql_num_rows($req3);
mysql_query("UPDATE `users` SET `clan_prava`='0'  WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `clan_prava`='5'  WHERE `usr` = '$name'");
if ($avto3 >= 1) {
while($claner = mysql_fetch_array($req3)){
    mysql_query("UPDATE `users` SET `clan` = '$name'  WHERE `usr` = '$claner[usr]'");
}
    mysql_query("UPDATE `users` SET `clan` = '$name'  WHERE `usr` = '$name'");
    mysql_query("UPDATE `clan` SET `lider` = '$name'  WHERE `lider` = '$log'");
echo'Лидерство передано!<br/>';
} else{ echo"Произошла ошибка"; }
}
}
}




break;


//Удаление

case 'rass':


if($udata[clan_prava] <1){
echo'У вас нет прав доступа!<br/>';
include($path.'files/down.php');
exit;
}
if(empty($_POST['text'])){
echo "<form method=\"post\" action=\"clanroom.php?go=rass\">";
echo "Введите текст рассылки:<br/>";
echo "<textarea name=\"text\" rows=5 cols=15 wrap=\"off\"></textarea><br/><br/>";
echo "<input type=\"submit\" value=\"Отправить\" class=\"ibutton\"></form>";
}else{
$text=htmlspecialchars($_POST[text]);

$req = mysql_query("SELECT `usr` FROM `users` where `clan`='$udata[clan]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){

$time = date("H:i d.m.y");

While($clan = mysql_fetch_array($req))
{
mysql_query("INSERT INTO `msg_r` SET `user_from` = '$log', `user_to` = '$clan[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
echo'Клановая рассылка успешно отправлена!<br/>';
echo"<a href=\"clanroom.php?\">Продолжить</a>";
}else{
echo'Нет игроков в вашем клане!<br/>';
}
}



break;

case 'fast':


if($udata[clan_prava] <1){
echo'У вас нет прав доступа!<br/>';
include($path.'files/down.php');
exit;
}
if(empty($_POST['text'])){
echo "<form method=\"post\" action=\"clanroom.php?go=fast\">";
echo "Введите текст быстрой рассылки:<br/>";
echo "<textarea name=\"text\" rows=5 cols=15 wrap=\"off\"></textarea><br/><br/>";
echo "<input type=\"submit\" value=\"Отправить\" class=\"ibutton\"></form>";
}else{
$text=htmlspecialchars($_POST[text]);
$time = time()+300;
mysql_query("UPDATE `clan` SET `r` ='$text', `rt` ='$time', `rs` ='$log' WHERE `lider` = '$udata[clan]'");
echo'Клановая рассылка успешно отправлена!<br/>';
echo"<a href=\"clanroom.php?\">Продолжить</a>";
}



break;

case 'statuya':

$req = mysql_query("SELECT * FROM `zamok` WHERE clan='$udata[clan]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($c = mysql_fetch_array($req))
{
$req = mysql_query("SELECT `storona`,`prava` FROM `users` WHERE `usr` = '$udata[clan]'");
$pics = mysql_fetch_array($req);
}
}else{
echo"<font color=red> Клан замком не владеет!</font><br/>";
include($path.'files/down.php');
exit;
}


$req1 = mysql_query("SELECT * FROM `item_aura` WHERE `usr` = '$log' and `lat_name`='aurs_stat_klan'");
$avto1=mysql_num_rows($req1);
if($avto1>=1){
echo'У вас уже есть статуя клана!';
include($path.'files/down.php');
exit;
}

mysql_query("INSERT INTO
        `item_aura` SET
        `usr` = '$log',
        `name` = 'Аура Статуи Клана',
        `lat_name` = 'aurs_stat_klan',
        `cena` = '10',
        `umin` = '10',
        `umax` = '10',
        `protect` = '10',
        `hp` = '10',
        `mp` = '10',
        `krit` = '10',
        `ukrit` = '10',
        `antikrit` = '10',
        `klas` = 'not',
        `nsila` = '1',
        `num` = '1',
        `nlovk` = '1',
        `nlvl` = '1',
        `actime` = '3600',
        `kol` = '1'");





echo"Вы успешно получили ауру <b>Статуя клана!</b><br>";

break;

case 'exit':
echo'Вы уверены что хотите выйти из клана? <a href=clanroom.php?go=ex>ВЫЙТИ</a><br />';
echo'<a href=clanroom.php>Назад</a>';
break;

case 'ex':
mysql_query("UPDATE users SET clan='', cexp='', clan_prava='' WHERE usr = '$log'");
echo'Вы покинули клан<br />';
echo'<a href=home.php>Назад</a>';
break;

case 'chat':

function smiles($string){
$dir = opendir ("pic/smiles");
while ($file = readdir ($dir)) {
if (ereg (".gif$", "$file")){
$file2=str_replace(".gif","",$file);
$string=str_replace(":$file2",'<img src="pic/smiles/'.$file.'" alt="">',$string);
}}
closedir ($dir);
return $string;  }




function AddBB($var) {
$search = array(
'/\[b\](.*?)\[\/b\]/is',
'/\[i\](.*?)\[\/i\]/is',
'/\[red\](.*?)\[\/red\]/is',
'/\[blue\](.*?)\[\/blue\]/is',
'/\[green\](.*?)\[\/green\]/is',
'/\[yellow\](.*?)\[\/yellow\]/is',
'/\[u\](.*?)\[\/u\]/is',
'/\[url\](.*?)\[\/url\]/is',
'/\[url\=(.*?)\](.*?)\[\/url\]/is'
);

$replace = array(
'<strong>$1</strong>',
'<em>$1</em>',
'<font color="red">$1</font>',
'<font color="blue">$1</font>',
'<font color="green">$1</font>',
'<font color="yellow">$1</font>',
'<u>$1</u>',
'<a href="$1">$1</a>',
'<a href="$1">$2</a>'
);
$var = preg_replace ($search, $replace, $var);
return $var;
}
$rand = rand(1000,9999);
///////////////////
echo'<div class="hid" align="left">';
echo "<a href=\"smile.php?\">Смайлы</a><br/>";
echo "<a href=\"clanroom.php?go=chat&ref=$rand\">Обновить</a>";
echo "<form action=\"clanroom.php?go=add\" method=\"POST\" name=\"hh\" >";
echo"<b>Сообщение</b><br/>";
echo "<form action=\"chat.php?mod=writes\" method=\"POST\">";
if (isset($_GET[nick]))
{
$_GET[nick] = htmlspecialchars($_GET[nick]);
echo "<input type=\"text\" name=\"msg\" maxlength=\"5000\" value=\"$_GET[nick], \" />";
}
else
{
echo "<input type=\"text\" name=\"msg\" maxlength=\"5000\" />";
}


//echo "<input type=\"text\" name=\"msg\" maxlength=\"5000\"/> ";
echo"  <input type=\"submit\" value=\"Написать\" class=\"ibutton\"></div>";

if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT * FROM `clanchat` where `clan`='$udata[clan]'"));
$puslap = floor($viso/10);
$razn = 4;// для Москвы зимой
$times = gmdate("H:i:s",time()+($razn*3600));



echo "<center>= $times =";

echo"</center>";
$asd = mysql_query("SELECT * FROM `clanchat` where `clan`='$udata[clan]' ORDER BY id DESC LIMIT $num,10");
echo"<div align='left'>";
while($dsa = mysql_fetch_array($asd))
{
$nickas = strip_tags($dsa['usr']);
$koment = strip_tags($dsa['msg']);
$time = strip_tags($dsa['time']);
$koment = AddBB(smiles($koment));

$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$log'");
$usdata = mysql_fetch_array($req);
$koment = str_ireplace($usdata[usr], '<font color=#8B814C><b>'.$usdata[usr].'</b></font>', $koment);








echo "<div class='event'><b>[$time]</b><a href=\"clanroom.php?go=chat&nick=$nickas\">$nickas</a>
<a href=\"search.php?nick=$nickas&go=go\"><img src='pic/inf.png'></a></a>: $koment";

echo'</div>';
}
echo "</div>";

if ($_GET[page] > 0)
{
echo "<a href=\"clanroom.php?go=chat&page=$back\"> < Назад</a> ";
}
elseif ($_GET[page] == 0)
{
echo "";
}
echo"";
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo " <a href=\"clanroom.php?go=chat&page=$next\">Далее ></a>";}
else
{echo "";}

break;

case 'site':

if($udata[clan]!==$log){ echo"Вы не имеете право размещать сайт!"; include($path.'files/down.php'); exit;}
if(empty($_POST[site])){
echo "<form action=\"clanroom.php?log=".$log."&amp;pas=".$pas."&amp;go=site\" method=\"post\">Адрес:<br/>";
echo "<input name=\"site\" maxlength=\"100\" value=\"http://\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
mysql_query("UPDATE `clan` SET `site` = '$_POST[site]' WHERE `lider` = '$udata[clan]'");

echo"Клан сайт установлен!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
}
break;

case 'desk':

if($udata[clan]!==$log){ echo"Вы не имеете право изменять описание!"; include($path.'files/down.php'); exit;}
if(empty($_POST[text])){
echo "<form action=\"clanroom.php?log=".$log."&amp;pas=".$pas."&amp;go=desk\" method=\"post\">Описание:<br/>";
echo "<input name=\"text\" maxlength=\"200\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
mysql_query("UPDATE `clan` SET `desk` = '$_POST[text]' WHERE `lider` = '$udata[clan]'");

echo"Описание изменено!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
}
break;

case 'add':

$msg=$_POST[msg];

$msg=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);
$msg=eregi_replace("([[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|su|org|net|info|com)", "Реклама запрещена", $msg);

$msg=stripslashes($msg);
$msg=htmlspecialchars($msg);
$msg=str_replace("\\","",$msg);
$msg=str_replace("/","",$msg);
$msg=str_replace("|","",$msg);
$msg=str_replace("$","",$msg);
$msg=str_replace("&","",$msg);
$msg=str_replace("<","",$msg);
$msg=str_replace(">","",$msg);
$msg=str_replace("#","",$msg);
$log=str_replace("#","",$log);
/////////////////
 $time = gmdate("H:i:s",time()+($razn*3600));
mysql_query("INSERT INTO clanchat SET usr='$log',clan='$udata[clan]',msg='$msg', time='$time' ");

echo"Сообщение добавлено!";
echo"<br/><a href=\"clanroom.php?go=chat\">Продолжить</a>";
break;

case 'bankadd':
if(empty($_POST[kol])){
echo "<form action=\"clanroom.php?log=".$log."&amp;pas=".$pas."&amp;go=bankadd\" method=\"post\">Сумма:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
if($_POST[kol]<=0){echo'Введена слишком маленькая сумма!';include($path.'files/down.php'); exit;}
if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include($path.'files/down.php'); exit;}
if($_POST[kol]>$udata[money]){echo"У вас нет такой суммы!"; include($path.'files/down.php'); exit;}

mysql_query("INSERT INTO clanlog SET clan='$udata[clan]',msg='$log положил $_POST[kol] монет.'");

$clan[money]=$clan[money]+$_POST[kol];
$udata[money]=$udata[money]-$_POST[kol];

mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$udata[clan]'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

echo"Вы положили $_POST[kol] монет!";
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
}
break;

case 'my':
if($clan[set_m]==1 and $udata[clan]!=$log){echo"Доступ закрыт!";}else{
if(empty($_POST[kol])){
echo "<form action=\"clanroom.php?log=".$log."&amp;pas=".$pas."&amp;go=my\" method=\"post\">Сумма:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Ok" /></form>';
}else{
if($_POST[kol]<=0){echo'Введена слишком маленькая сумма!';include($path.'files/down.php'); exit;}
if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include($path.'files/down.php'); exit;}
if($_POST[kol]>$clan[money]){echo"У клана нет такой суммы!"; include($path.'files/down.php'); exit;}

mysql_query("INSERT INTO clanlog SET clan='$udata[clan]',msg='$log забрал $_POST[kol] монет.'");

$clan[money]=$clan[money]-$_POST[kol];
$udata[money]=$udata[money]+$_POST[kol];

mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$udata[clan]'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

echo"Вы забрали $_POST[kol] монет!";
}}
echo"<br/><a href=\"clanroom.php?\">Продолжить</a>";
break;

case 'logs':
echo'<b>Лог операций с деньгами:</b>';
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];

$req = mysql_query("SELECT * FROM `clanlog` where `clan`='$udata[clan]' ORDER BY id DESC LIMIT $start,15");
$avto=mysql_num_rows($req);

if($avto==0){echo"<br/>Лог пуст";}else{
while($chat = mysql_fetch_array($req))
{
echo"<br/>$chat[msg]";
}
}

if ($start != 0) {echo '<a href="clanroom.php?start='.($start - 15).'&amp;log='.$log.'&amp;pas='.$pas.'&amp;go=logs">Назад</a> ';}

if ($avto > $start+15) {echo ' <a href="clanroom.php?start='.($start + 15).'&amp;log='.$log.'&amp;pas='.$pas.'&amp;go=logs">Далее</a>';}


break;


case 'set_m':
if($udata[clan]!==$log){ echo"Вы не имеете права тут находится!"; include($path.'files/down.php'); exit;}
if($clan[set_m]==0){
$on=1;
}else{
$on=0;
}
mysql_query("UPDATE `clan` SET `set_m` = '$on' WHERE `lider` = '$udata[clan]'");
echo"Изменения сохранены!<br/>";
echo"<a href=\"clanroom.php?\">Продолжить</a>";
break;
}

include($path.'files/down.php');
?>